# Sample of using buildant to autogenerate build.sh files.
open_buildant(`# SoftWoehr build script'
`# Copyright *C* 2004 Jack J. Woehr'
`# PO Box 51 Golden Colorado 80402-0051 USA'
`# jax@well.com'
)dnl
dnl
build_option(`a',
             `ant.invocation',
             `Custom Ant invocation (default is \"ant\")',
             `ant',
             `y',
             `ant_command')dnl
build_option(`d',
             `java.debug',
             `Cause a debug compile')dnl
build_option(`i',
             `release.version',
             `Set release version that names this release (must be set)',
             `',
             `y',
             `release_version')dnl
build_option(`j',
             `jtopen.jar',
             `Fully qualified path of jt400.jar for builds involving IBM JTOpen (must be set)',
             `',
             `y',
             `jar_fullpath')dnl
build_option(`p',
             `softwoehr.build.properties.fullpath',
             `Fully qualified path of a properties file to be loaded at start of build.
              The most important properties can be set using the switches in this file ${0}.
              Otherwise see the list of properties commented in the beginning of build.xml.',
             `',
             `y',
             `properties_file')dnl
build_option(`q',
             `mqm.jar',
             `Fully qualified path of com.ibm.mqm.jar for builds involving IBM MQSeries (must be set)',
             `',
             `y',
             `jar_fullpath')dnl
build_option(`r',
             `jar.dir',
             `Build any requested output .jar or .zip file(s) in jar_dir (must be set)',
             `',
             `y',
             `jar_dir')dnl
build_option(`t',
             `dest.dir',
             `build objects into target_dir --- must not be the same dir as -r jar_dir (must be set)
              NOTE: THIS MUST BE A DIRECTORY YOU DON'T MIND HAVING TOTALLY CLEARED.',
             `/usr/local/work/java/tmpbuild',
             `y',
             `destination_directory')dnl
build_option(`v',
             `build.verbose',
             `make the build \"verbose\" (trigger \"announce\" targets)
              NOTE: The -v option does not make Ant itself \"verbose\".
              If you wish to manually pass thru options to Ant such as
              -Dsome.property=some.setting or -v to make Ant verbose then
              interpose a -- option which ends options processing and
              passes through any more options to Ant.')dnl
close_buildant(`This script has been tested on various BaSH-y platforms including Cygwin.')dnl

